## ros-humble-hey5-description 3.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
project(hey5_description)

find_package(ament_cmake_auto REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# @TODO LICENSE.txt needs to be installed too
ament_auto_package(INSTALL_TO_SHARE config gazebo launch meshes robots urdf)

=== debian/changelog ===
ros-humble-hey5-description (3.0.3-1jammy) jammy; urgency=high

  * create hey5 ros2_control and transmission xacro files
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 27 Jun 2023 00:00:00 -0000

ros-humble-hey5-description (3.0.2-1jammy) jammy; urgency=high

  * Merge branch 'rename_namespace' into 'humble-devel'
    rename namespace for gazebo plugin
    See merge request robots/hey5_description!9
  * rename namespace for gazebo plugin
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 29 Nov 2022 00:00:00 -0000

ros-humble-hey5-description (3.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix_dependency' into 'humble-devel'
    fix buildtool dependency
    See merge request robots/hey5_description!8
  * fix buildtool dependency
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 03 Nov 2022 00:00:00 -0000

ros-humble-hey5-description (3.0.0-1jammy) jammy; urgency=high

  * Merge branch 'linters' into 'humble-devel'
    add linters
    See merge request robots/hey5_description!7
  * CONTRIBUTING.md
  * add linters
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/hey5_description!6
  * restore original LICENSE
  * rename LICENSE
  * update copyright and license
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/hey5_description!5
  * update maintainers
  * Merge branch 'migrate_gazebo_plugin_underactuated_finger' into 'foxy-devel'
    Migrate gazebo plugin underactuated finger
    See merge request robots/hey5_description!4
  * change pid gains values
  * add pid_gains to urdf
  * Remove comments to workaround https://github.com/ros2/launch_ros/issues/214
  * package.xml and CMakeLists.txt in ros2 format
  * Contributors: Jordan Palacios, Noel Jimenez, cescfolch, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Oct 2022 00:00:00 -0000

ros-humble-hey5-description (1.0.3-1jammy) jammy; urgency=high

  * Fix xacro warnings
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 Apr 2019 00:00:00 -0000

ros-humble-hey5-description (1.0.2-1jammy) jammy; urgency=high

  * Merge branch 'add-tool-link' into 'master'
    Add hand_tool_link
    See merge request robots/hey5_description!3
  * Add hand_tool_link
  * Contributors: Hilario Tome, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Apr 2018 00:00:00 -0000

ros-humble-hey5-description (1.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix-reemc' into 'master'
    Fix hey5 hand for REEM-C robot
    See merge request !2
  * Fix hay5 hand for REEM-C robot
  * Merge branch 'multiple-tiagos' into 'master'
    Allow multiple Tiagos on Gazebo
    See merge request !1
  * Allow multiple Tiagos on Gazebo
    Refs #15402
  * Contributors: David Fernandez, Hilario Tome, Victor Lopez, davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 Jan 2018 00:00:00 -0000

ros-humble-hey5-description (1.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Sep 2016 00:00:00 -0000

ros-humble-hey5-description (0.1.3-1jammy) jammy; urgency=high

  * Fix error on loading stil by Rviz as they seem to be malformed
    Error was
    The STL file 'package://XXXX/meshes/finger_flex_collision.stl' is malformed. According to the binary STL header it should have '108' triangles, but it has too much data for that to be the case.
    Seems to be fixed in upcoming Rviz (not released yet) https://github.com/ros-visualization/rviz/issues/913
  * Install LICENSE.txt
  * Change URDF license headers to CC BY 4.0.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Sam Pfeiffer

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 25 Apr 2016 00:00:00 -0000

ros-humble-hey5-description (0.1.2-1jammy) jammy; urgency=high

  * hey5_description: Install gazebo folder
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 12 Jun 2015 00:00:00 -0000

ros-humble-hey5-description (0.1.1-1jammy) jammy; urgency=high

  * Add hey5 gazebo simulation plugin
  * Add gazebo references with black material
  * Contributors: Bence Magyar, Luca Marchionni

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 12 Jun 2015 00:00:00 -0000

ros-humble-hey5-description (0.1.0-1jammy) jammy; urgency=high

  * Add hand_grasping_frame
  * Contributors: Bence Magyar

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Apr 2015 00:00:00 -0000

ros-humble-hey5-description (0.0.6-1jammy) jammy; urgency=high

  * Update hand inertial properties
    - Inertia tensors for all links except palm are approximately four
    orders of magnitude larger to prevent the Gazebo simulation from
    becoming unstable.
    - Palm mass is lower to take into account that actuator mass is
    specified separately.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jan 2015 00:00:00 -0000

ros-humble-hey5-description (0.0.5-1jammy) jammy; urgency=high

  * License model as CC-BY 4.0, add attribution text
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Dec 2014 00:00:00 -0000

ros-humble-hey5-description (0.0.4-1jammy) jammy; urgency=high

  * Remove hi-res finger meshes
  * Minor dimension tweaks to harmonize with docs, CAD
  * Update hand transmissions, fully open config
    - Add some overlap between abduction and flexion to more closely mimic
    hardware
    - Spread fingers more on fully open configuration
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 12 Dec 2014 00:00:00 -0000



=== debian/control ===
Source: ros-humble-hey5-description
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-hey5-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-xacro, ros-humble-ros-workspace
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the Hey5 hand.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-hey5-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
